aboutsummaryrefslogtreecommitdiff
path: root/app
diff options
context:
space:
mode:
Diffstat (limited to 'app')
-rwxr-xr-xapp/cdr/k9copy/k9copy.SlackBuild11
-rw-r--r--app/cdr/k9copy/slack-required1
-rwxr-xr-xapp/emulation/wine/wine.SlackBuild4
-rwxr-xr-xapp/office/broffice/broffice.SlackBuild18
4 files changed, 19 insertions, 15 deletions
diff --git a/app/cdr/k9copy/k9copy.SlackBuild b/app/cdr/k9copy/k9copy.SlackBuild
index 029d7a20..218aca35 100755
--- a/app/cdr/k9copy/k9copy.SlackBuild
+++ b/app/cdr/k9copy/k9copy.SlackBuild
@@ -15,8 +15,8 @@
# Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for k9copy, by Rudson R. Alves
-# requires: vamps qt kdelibs libdvdread libdvdcss
-# tested: k9copy-1.1.3
+# requires: ffmpeg vamps qt kdelibs libdvdread libdvdcss
+# tested: k9copy-1.2.3
#
# Look for slackbuildrc
@@ -31,7 +31,7 @@ CWD="$(pwd)"
SRC_NAME="k9copy"
PKG_NAME="k9copy"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=1.1.3}
+SRC_VERSION=${VERSION:=1.2.3}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -40,7 +40,7 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_WORK="$TMP/$SRC_NAME"
-CONF_OPTIONS=${CONF_OPTIONS:=""}
+CONF_OPTIONS=${CONF_OPTIONS:="--disable-debug --program-prefix= --program-suffix= "}
NUMJOBS=${NUMJOBS:="-j7"}
# Set system libraries' path and optmization flags based on $ARCH
@@ -95,6 +95,9 @@ CFLAGS="$SLKCFLAGS" \
./configure \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+# Small patch
+sed -i 's/^#include <ffmpeg\/avformat.h>/#include <libavformat\/avformat.h>/' k9author/k9avidecode.h
+sed -i 's/#include <ffmpeg\/avcodec.h>/#include <libavcodec\/avcodec.h>/' k9author/k9avidecode.cpp
# Compile
make $NUMJOBS || exit $ERROR_MAKE
diff --git a/app/cdr/k9copy/slack-required b/app/cdr/k9copy/slack-required
index a731edea..04d85bd0 100644
--- a/app/cdr/k9copy/slack-required
+++ b/app/cdr/k9copy/slack-required
@@ -1,6 +1,7 @@
# Dependency list to k9copy
#
# dependency [condition] [version]]
+ffmpeg
vamps
qt
kdelibs
diff --git a/app/emulation/wine/wine.SlackBuild b/app/emulation/wine/wine.SlackBuild
index 3a719a89..14153afe 100755
--- a/app/emulation/wine/wine.SlackBuild
+++ b/app/emulation/wine/wine.SlackBuild
@@ -16,7 +16,7 @@
#
# slackbuild for wine, by Rudson R. Alves
# requires:
-# tested: wine-0.9.53
+# tested: wine-0.9.59
#
# Look for slackbuildrc
@@ -31,7 +31,7 @@ CWD="$(pwd)"
SRC_NAME="wine"
PKG_NAME="wine"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=0.9.58}
+SRC_VERSION=${VERSION:=0.9.59}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
diff --git a/app/office/broffice/broffice.SlackBuild b/app/office/broffice/broffice.SlackBuild
index 2e5ec175..9f73e7f4 100755
--- a/app/office/broffice/broffice.SlackBuild
+++ b/app/office/broffice/broffice.SlackBuild
@@ -16,7 +16,7 @@
#
# slackbuild for broffice, by Rudson R. Alves
# requires:
-# tested: broffice-2.3.1
+# tested: broffice-2.4.0
#
# Look for slackbuildrc
@@ -31,14 +31,14 @@ CWD="$(pwd)"
SRC_NAME="BrOo"
PKG_NAME="broffice"
ARCH=${ARCH:=i686}
-SRC_VERSION=${VERSION:=2.3.1}
+SRC_VERSION=${VERSION:=2.4.0}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/usr/share/broffice.org2.3}
+PREFIX=${PREFIX:=/usr/share/broffice.org2.4}
PKG_WORK="$TMP/$SRC_NAME"
CONF_OPTIONS=${CONF_OPTIONS:=""}
NUMJOBS=${NUMJOBS:=""}
@@ -60,8 +60,8 @@ mkdir -p "$REPOS" || exit $ERROR_MKDIR
mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
# Dowload source if necessary
-SRC="${SRC_NAME}_${VERSION}rc1_20071113_LinuxIntel_install_pt-BR.tar.gz"
-URL="ftp://ftp.unicamp.br/pub/broffice/stable/2.3.1//$SRC"
+SRC="${SRC_NAME}_${VERSION}_LinuxIntel_install_pt-BR.tar.gz"
+URL="http://ftp.unicamp.br/pub/broffice/stable/$VERSION/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
@@ -88,20 +88,20 @@ rm *.rpm 2>/dev/null
# Convert links to KDE
cd desktop-integration
-echo -e "\ninstall broffice.org-slackware-menus-2.3*.rpm"
-tar xvf broffice.org-slackware-menus-2.3*.tgz -C $PKG || exit $ERROR_TAR
+echo -e "\ninstall broffice.org-slackware-menus-2.4*.rpm"
+tar xvf broffice.org-slackware-menus-2.4*.tgz -C $PKG || exit $ERROR_TAR
rm *.rpm *.deb 2>/dev/null
cd ..
# Change opt directory
mkdir -p $PKG/usr/share
-mv $PKG/opt/broffice.org2.3 $PKG/usr/share/
+mv $PKG/opt/broffice.org2.4 $PKG/usr/share/
mv $PKG/opt/kde/share/* $PKG/usr/share/
rm -rf $PKG/opt
# Change doinstall install directory
-sed 's/\/opt\/broffice.org2.3/\/usr\/share\/broffice.org2.3\//' $PKG/install/doinst.sh > $PKG/install/doinst.sh.new
+sed 's/\/opt\/broffice.org2.4/\/usr\/share\/broffice.org2.4\//' $PKG/install/doinst.sh > $PKG/install/doinst.sh.new
mv $PKG/install/doinst.sh.new $PKG/install/doinst.sh
# Strip binaries